' At design time:
'   - Add a DataSet to the form.
'       - In the Properties window, open the Tables collection and add a table.
'       - Use the Table editor to add columns to the table.
'   - Add a DataGridView to the form.
'       - Set its DataSource property to the DataSet.
'       - Set its DataMember property to the table.
Public Class Form1
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        ' Validation.
        If txtFirstName.Text.Length = 0 Then
            MessageBox.Show("Please enter a First Name", "Missing First Name", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            txtFirstName.Focus()
            Exit Sub
        End If

        If txtLastName.Text.Length = 0 Then
            MessageBox.Show("Please enter a Last Name", "Missing Last Name", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            txtLastName.Focus()
            Exit Sub
        End If

        ' Get a new record of the correct "shape" for the table.
        Dim new_row As DataRow = dsPeople.Tables(0).NewRow()

        ' Fill in the record's values.
        new_row.ItemArray = New Object() {txtFirstName.Text, txtLastName.Text}

        ' Add the record to the table.
        dsPeople.Tables(0).Rows.Add(new_row)

        txtFirstName.Clear()
        txtLastName.Clear()
    End Sub
End Class
